Multivariate Pattern Analysis in Python

# mvpa2.atlases.fsl.enhanced_doc_string

`mvpa2.atlases.fsl.``enhanced_doc_string`(item, *args, **kwargs)

  Generate enhanced doc strings for various items.

  Parameters:

  item : str or class

  > What object requires enhancing of documentation

  *args : list

  > Includes base classes to look for parameters, as well, first item must be a dictionary of locals if item is given by a string

  force_extend : bool

  > Either to force looking for the documentation in the parents. By default force_extend = False, and lookup happens only if kwargs is one of the arguments to the respective function (e.g. item.__init__)

  skip_params : list of str

  > List of parameters (in addition to [kwargs]) which should not be added to the documentation of the class.

  It is to be used from a collector, ie whenever class is already created